import { SORT_ASCENDING, SORT_DESCENDING } from 'constants/common';
import {
    CAMPAIGN_DEVICE_TYPE_DESKTOP,
    CAMPAIGN_DEVICE_TYPE_MOBILE,
    ALL_RUSSIA,
    ALL_RUSSIA_WITHOUT_MOSCOW,
    CAMPAIGNS_LIST_ID,
    CAMPAIGNS_LIST_EMPLOYER,
    CAMPAIGNS_LIST_PERIOD_START,
    CAMPAIGNS_LIST_PERIOD_END,
    CAMPAIGNS_LIST_MANAGER,
    STATISTICS_BY_DATE,
    STATISTICS_BY_REGION,
    STATISTICS_VIEWS,
    STATISTICS_CLICKS,
    STATISTICS_CTR,
    STATISTICS_DESKTOP,
    STATISTICS_MOBILE,
    STATISTICS_TOTAL,
    CAMPAIGN_STATUS_PAUSED,
    CAMPAIGN_STATUS_ACTIVE,
    CAMPAIGNS_LIST_REGIONS,
    CAMPAIGNS_LIST_DEVICE_TYPES,
    CAMPAIGNS_LIST_COMMENT,
    CAMPAIGN_STATUS_ALL,
    COMPANY_OF_THE_DAY,
    VACANCY_OF_THE_DAY,
    CAMPAIGN_TYPE_COMMERCIAL,
    CAMPAIGN_TYPE_NOT_COMMERCIAL,
    ENTITY_EMPLOYER,
    ENTITY_VACANCY,
    CAMPAIGNS_LIST_CAMPAIGN_TYPE,
    CAMPAIGNS_LIST_CAMPAIGN_STATUS,
    CAMPAIGNS_LIST_PAYMENT_STATUS,
    CAMPAIGNS_LIST_VACANCY,
    CAMPAIGNS_LIST_CRM_URL,
    CAMPAIGN_STATUS_NEW,
    CAMPAIGN_STATUS_APPROVED,
    CAMPAIGN_STATUS_REJECTED,
    CAMPAIGN_STATUS_ON_MODERATION,
    CAMPAIGN_PAYMENT_STATUS_NOT_PAYED,
    CAMPAIGN_PAYMENT_STATUS_PAYED,
    CAMPAIGN_PAYMENT_STATUS_POST_PAYED,
    CAMPAIGNS_LIST_PACKET,
    FILTER_CAMPAIGN_TYPES,
    FILTER_COTD_ID,
    FILTER_VOTD_ID,
    FILTER_EMPLOYER_NAME,
    FILTER_EMPLOYER_ID,
    FILTER_VACANCY_ID,
    FILTER_CREATOR_ID,
    FILTER_VACANCY_NAME,
    FILTER_CREATOR_NAME,
    FILTER_CRM_URL,
    FILTER_CAMPAIGN_STATUSES,
    FILTER_DEVICE_TYPES,
    FILTER_PAYMENT_STATUSES,
    FILTER_PERIOD,
    FILTER_REGIONS,
    FILTER_EXACTLY_REGION,
    FILTER_PACKETS,
} from 'constants/campaign';

export default {
    'app.name': 'ADV {0}',
    'space.nbsp': '\u00A0',
    'space.usual': ' ',
    'notFound.title': 'Страница не\u00A0найдена',
    'notFound.text': 'Страница, которую вы пытаетесь открыть, не\u00A0найдена.',
    'forbidden.title': 'Сервис не\u00A0доступен',
    'forbidden.text': 'Сервис размещения объявлений доступен только для\u00A0администраторов',
    'serverError.title': 'Ошибка сервера',
    'serverError.text':
        'Извините, в\u00A0данный момент сервис не\u00A0может обработать ваш запрос. Пожалуйста, повторите его позднее.',
    'campaigns.create.button': 'Добавить размещение',
    'campaigns.toModeration.button': 'Размещения на модерации',
    'toCampaigns.return.button': 'К\u00A0списку размещений',
    [`createCampaign.${ENTITY_EMPLOYER}.legend`]: 'Работодатель',
    [`createCampaign.${ENTITY_VACANCY}.legend`]: 'Вакансия',
    'createCampaign.search.button': 'Поиск',
    [`createCampaign.${ENTITY_EMPLOYER}.modal.title`]: 'Введите идентификатор работодателя',
    [`createCampaign.${ENTITY_VACANCY}.modal.title`]: 'Введите идентификатор вакансии',
    'numericInput.id.placeholder': 'Введите идентификатор',
    'numericInput.id.error': 'Идентификатор может состоять только из\u00A0цифр',
    'choose.button': 'Выбрать',
    [`createCampaign.${ENTITY_EMPLOYER}.modal.notFound.text`]: 'Работодатель не\u00A0найден',
    [`createCampaign.${ENTITY_VACANCY}.modal.notFound.text`]: 'Вакансия не\u00A0найдена',
    'createCampaign.name.legend': 'Название',
    'createCampaign.name.hint': 'Название компании, которое будет отображаться в\u00A0рекламном блоке',
    'createCampaign.deviceType.legend': 'Тип устройства',
    [`deviceType.${CAMPAIGN_DEVICE_TYPE_DESKTOP}.checkbox`]: 'Desktop',
    [`deviceType.${CAMPAIGN_DEVICE_TYPE_MOBILE}.checkbox`]: 'Mobile',
    'createCampaign.logo.legend': 'Логотип',
    'createCampaign.logo.placeholder': 'Загрузить изображение',
    'createCampaign.logo.button': 'Обзор',
    'createCampaign.logo.requirement.text':
        'Загрузите изображение в\u00A0формате PNG или JPEG (не\u00A0более 130х40px)',
    'createCampaign.logo.example.text': '100 вакансий',
    'createCampaign.logo.example.hint': 'Пример внешнего вида "Компании дня" с\u00A0текущим логотипом',
    'createCampaign.logo.success.notification': 'Изображение успешно загружено',
    'createCampaign.logo.sizes.error.notification': 'Размер загруженного изображения {0}x{1}px. ',
    'createCampaign.regions.legend': 'Регионы',
    'regions.select.title': 'Выберите регионы',
    'regions.select.submit': 'Сохранить',
    'regions.select.cancel': 'Отмена',
    'regions.select.tags.length': 'Выбрано регионов: {0}',
    'regions.select.searchPlaceholder': 'Поиск по\u00A0регионам',
    'regions.select.notFound': 'Регион не\u00A0найден',
    [`regions.${ALL_RUSSIA_WITHOUT_MOSCOW}.link`]: 'Вся Россия без Москвы',
    [`regions.${ALL_RUSSIA}.link`]: 'Вся Россия',
    'regions.clear.link': 'Очистить',
    'createCampaign.period.legend': 'Период',
    'createCampaign.period.from.to.text': 'с\u00A0{0} по\u00A0{1}',
    'createCampaign.comment.legend': 'Комментарий',
    'createCampaign.period.requirement.text':
        'Дата начала рекламной кампании должна быть понедельником, дата завершения\u00A0- воскресеньем',
    'createCampaign.busyness.legend': 'Занятость',
    'createCampaign.busyness.link': 'Проверить занятость',
    'createCampaign.busyness.busy.text':
        'Размещение рекламной кампании не\u00A0доступно во\u00A0всех регионах в\u00A0выбранные даты. ' +
        'Выберите другой период в\u00A0календаре (например, один из\u00A0предложенных).',
    'createCampaign.busyness.region.table.head': 'Регион',
    'createCampaign.busyness.choosePeriod.table.head': 'Выбранный период',
    'createCampaign.busyness.freePeriod.table.head': 'Свободный период',
    'createCampaign.busyness.free.text':
        'Размещение рекламной кампании доступно во\u00A0всех регионах в\u00A0выбранные даты',
    'createCampaign.busyness.data.error.notification':
        'Проверьте корректность заполнения полей. ' +
        'Поля: "Тип устройства", "Регионы", "Период" должны быть заполнены. ' +
        'Также должно быть заполнено поле "Пакет", если оно присутсвует на\u00A0форме',
    'createCampaign.create.button': 'Создать рекламную кампанию',
    'createCampaign.edit.button': 'Сохранить изменения',
    'createCampaign.save.success.notification': 'Рекламная кампания №{0} успешно создана!',
    'createCampaign.edit.success.notification': 'Рекламная кампания №{0} успешно изменена!',
    'createCampaign.save.data.error.notification':
        'Проверьте корректность заполнения полей. ' +
        'Поля: "Тип устройства", "Регионы", "Период" должны быть заполнены. ' +
        'Также должны быть заполнены поля "Пакет" и\u00A0"Работодатель", если они присутсвуют на\u00A0форме',
    'createCampaign.period.error.notification': 'Дата начала рекламной кампании должна быть меньше даты завершения',
    'createCampaign.period.start.error.notification': 'Дата начала рекламной кампании должна быть понедельником',
    'createCampaign.period.end.error.notification': 'Дата завершения рекламной кампании должна быть воскресеньем',
    'createCampaign.save.busy.error.notification':
        'Проверьте занятость. Размещение рекламной кампании доступно ' +
        'не\u00A0во\u00A0всех регионах в\u00A0выбранные даты',
    'campaigns.header': 'Список рекламных кампаний',
    'campaigns.moderation.additional.header': ' на модерации',
    [`campaigns.${CAMPAIGNS_LIST_ID}.table.head`]: 'Id',
    [`campaigns.${CAMPAIGNS_LIST_EMPLOYER}.table.head`]: 'Работодатель',
    [`campaigns.${CAMPAIGNS_LIST_PERIOD_START}.table.head`]: 'Дата начала',
    [`campaigns.${CAMPAIGNS_LIST_PERIOD_END}.table.head`]: 'Дата завершения',
    [`campaigns.${CAMPAIGNS_LIST_REGIONS}.table.head`]: 'Регионы',
    [`campaigns.${CAMPAIGNS_LIST_DEVICE_TYPES}.table.head`]: 'Типы устройства',
    [`campaigns.${CAMPAIGNS_LIST_MANAGER}.table.head`]: 'Менеджер',
    [`campaigns.${CAMPAIGNS_LIST_COMMENT}.table.head`]: 'Комментарий',
    [`campaigns.${CAMPAIGNS_LIST_CAMPAIGN_TYPE}.table.head`]: 'Тип размещения',
    [`campaigns.${CAMPAIGNS_LIST_CAMPAIGN_STATUS}.table.head`]: 'Статус размещения',
    [`campaigns.${CAMPAIGNS_LIST_PAYMENT_STATUS}.table.head`]: 'Статус оплаты',
    [`campaigns.${CAMPAIGNS_LIST_VACANCY}.table.head`]: 'Вакансия',
    [`campaigns.${CAMPAIGNS_LIST_CRM_URL}.table.head`]: 'Ссылка\u00A0на\u00A0CRM',
    [`campaigns.${CAMPAIGNS_LIST_PACKET}.table.head`]: 'Пакет',
    [`campaigns.${STATISTICS_VIEWS}.table.head`]: 'Просмотры',
    [`campaigns.${STATISTICS_CLICKS}.table.head`]: 'Клики',
    [`campaigns.${STATISTICS_CTR}.table.head`]: 'CTR',
    'campaigns.statistics.icon.hint': 'Статистика',
    'campaign.edit.button': 'Редактировать',
    [`campaign.status.${CAMPAIGN_STATUS_PAUSED}.button`]: 'Остановить',
    [`campaign.status.${CAMPAIGN_STATUS_ACTIVE}.button`]: 'Запустить',
    'campaign.toModeration.button': 'Отправить на утверждение',
    [`campaigns.status.${CAMPAIGN_STATUS_PAUSED}.option`]: 'Остановленные',
    [`campaigns.status.${CAMPAIGN_STATUS_ACTIVE}.option`]: 'Активные',
    [`campaigns.status.${CAMPAIGN_STATUS_ALL}.option`]: 'Все',
    'campaign.delete.button': 'Удалить',
    'campaign.delete.modal.title': 'Удаление рекламной кампании',
    'campaign.delete.modal.text': 'Вы уверены, что хотите удалить рекламную кампанию №{0}?',
    [`campaigns.${ENTITY_EMPLOYER}.name.text`]: 'Название работодателя',
    'campaigns.employer.display.name.text': 'Введенное название работодателя',
    [`campaigns.${ENTITY_VACANCY}.name.text`]: 'Название вакансии',
    'campaigns.empty.text': 'Рекламные кампании не\u00A0найдены',
    [`campaigns.filter.${FILTER_PERIOD}.label`]: 'Период: ',
    [`campaigns.filter.${FILTER_REGIONS}.label`]: 'Регионы: ',
    [`campaigns.filter.${FILTER_PACKETS}.label`]: 'Пакеты: ',
    [`campaigns.filter.${FILTER_EXACTLY_REGION}.label`]: 'Точный поиск по\u00A0региону',
    [`campaigns.filter.${FILTER_COTD_ID}.label`]: 'Id размещения: ',
    [`campaigns.filter.${FILTER_VOTD_ID}.label`]: 'Id размещения: ',
    [`campaigns.filter.${FILTER_EMPLOYER_ID}.label`]: 'Id работодателя: ',
    [`campaigns.filter.${FILTER_VACANCY_ID}.label`]: 'Id вакансии: ',
    [`campaigns.filter.${FILTER_CREATOR_ID}.label`]: 'Id менеджера: ',
    [`campaigns.filter.${FILTER_EMPLOYER_NAME}.label`]: 'Название работодателя: ',
    [`campaigns.filter.${FILTER_VACANCY_NAME}.label`]: 'Название вакансии: ',
    [`campaigns.filter.${FILTER_CREATOR_NAME}.label`]: 'Имя менеджера: ',
    [`campaigns.filter.${FILTER_CRM_URL}.label`]: 'Ссылка на\u00A0CRM: ',
    [`campaigns.filter.${FILTER_CAMPAIGN_TYPES}.label`]: 'Тип размещения: ',
    [`campaigns.filter.${FILTER_CAMPAIGN_STATUSES}.label`]: 'Статус размещения: ',
    [`campaigns.filter.${FILTER_DEVICE_TYPES}.label`]: 'Тип устройства: ',
    [`campaigns.filter.${FILTER_PAYMENT_STATUSES}.label`]: 'Статус оплаты: ',
    [`campaigns.filter.${FILTER_CAMPAIGN_TYPES}.${CAMPAIGN_TYPE_COMMERCIAL}.checkbox`]: 'Коммерческое',
    [`campaigns.filter.${FILTER_CAMPAIGN_TYPES}.${CAMPAIGN_TYPE_NOT_COMMERCIAL}.checkbox`]: 'Не\u00A0коммерческое',
    [`campaigns.filter.${FILTER_CAMPAIGN_STATUSES}.${CAMPAIGN_STATUS_NEW}.checkbox`]: 'Новое',
    [`campaigns.filter.${FILTER_CAMPAIGN_STATUSES}.${CAMPAIGN_STATUS_APPROVED}.checkbox`]: 'Утверждено',
    [`campaigns.filter.${FILTER_CAMPAIGN_STATUSES}.${CAMPAIGN_STATUS_REJECTED}.checkbox`]: 'Отклонено',
    [`campaigns.filter.${FILTER_CAMPAIGN_STATUSES}.${CAMPAIGN_STATUS_PAUSED}.checkbox`]: 'Остановлено',
    [`campaigns.filter.${FILTER_CAMPAIGN_STATUSES}.${CAMPAIGN_STATUS_ON_MODERATION}.checkbox`]: 'На\u00A0модерации',
    [`campaigns.filter.${FILTER_DEVICE_TYPES}.${CAMPAIGN_DEVICE_TYPE_DESKTOP}.checkbox`]: 'DESKTOP',
    [`campaigns.filter.${FILTER_DEVICE_TYPES}.${CAMPAIGN_DEVICE_TYPE_MOBILE}.checkbox`]: 'MOBILE',
    [`campaigns.filter.${FILTER_PAYMENT_STATUSES}.${CAMPAIGN_PAYMENT_STATUS_NOT_PAYED}.checkbox`]: 'Не\u00A0оплачено',
    [`campaigns.filter.${FILTER_PAYMENT_STATUSES}.${CAMPAIGN_PAYMENT_STATUS_PAYED}.checkbox`]: 'Оплачено',
    [`campaigns.filter.${FILTER_PAYMENT_STATUSES}.${CAMPAIGN_PAYMENT_STATUS_POST_PAYED}.checkbox`]: 'Постоплата',
    'campaigns.filter.status.label': 'Выберите статус:',
    'campaigns.update.status.success.notification': 'Статус рекламной кампании №{0} успешно обновлен',
    'campaigns.delete.success.notification': 'Рекламная кампания №{0} успешно удалена',
    'filter.button': 'Отфильтровать',
    [`campaigns.sort.${SORT_ASCENDING}.label`]: 'По\u00A0возрастанию',
    [`campaigns.sort.${SORT_DESCENDING}.label`]: 'По\u00A0убыванию',
    'statistics.header': 'Статистика размещения №{0}',
    'statistics.header.employer': 'Работодатель: {0} ({1})',
    'statistics.header.vacancy': 'Вакансия: {0} ({1})',
    [`statistics.${STATISTICS_BY_DATE}.tab.text`]: 'Статистика по\u00A0датам',
    [`statistics.${STATISTICS_BY_REGION}.tab.text`]: 'Статистика по\u00A0регионам',
    'statistics.empty.text': 'Статистика не\u00A0найдена',
    [`statistics.${STATISTICS_VIEWS}.table.head`]: 'Просмотры',
    [`statistics.${STATISTICS_CLICKS}.table.head`]: 'Клики',
    [`statistics.${STATISTICS_CTR}.table.head`]: 'CTR',
    [`statistics.${STATISTICS_DESKTOP}.table.head`]: 'DESKTOP',
    [`statistics.${STATISTICS_MOBILE}.table.head`]: 'MOBILE',
    [`statistics.${STATISTICS_TOTAL}.table.head`]: 'TOTAL',
    [`statistics.${STATISTICS_BY_DATE}.table.head`]: 'Дата',
    [`statistics.${STATISTICS_BY_REGION}.table.head`]: 'Регион',
    'statistics.chart.show.link': 'Посмотреть статистику на\u00A0графике',
    'statistics.chart.close.link': 'Скрыть график',
    'statistics.total.table.row': 'ИТОГО',
    'statistics.download.hint': 'Скачать статистику в\u00A0XLS',
    'statistics.full.show.link': 'Посмотреть полную статистику по\u00A0платформам',
    'statistics.full.close.link': 'Скрыть полную статистику',
    [`main.menu.${COMPANY_OF_THE_DAY}`]: 'Компании дня',
    [`main.menu.${VACANCY_OF_THE_DAY}`]: 'Вакансии дня',
    'createCampaign.campaignType.legend': 'Тип размещения',
    [`campaign.type.${CAMPAIGN_TYPE_COMMERCIAL}`]: 'Коммерческое',
    [`campaign.type.${CAMPAIGN_TYPE_NOT_COMMERCIAL}`]: 'Не\u00A0коммерческое',
    'createCampaign.crmUrl.legend': 'Ссылка на CRM',
    [`campaign.status.${CAMPAIGN_STATUS_NEW}`]: 'Новое',
    [`campaign.status.${CAMPAIGN_STATUS_APPROVED}`]: 'Утверждено',
    [`campaign.status.${CAMPAIGN_STATUS_REJECTED}`]: 'Отклонено',
    [`campaign.status.${CAMPAIGN_STATUS_PAUSED}`]: 'Остановлено',
    [`campaign.status.${CAMPAIGN_STATUS_ON_MODERATION}`]: 'На\u00A0модерации',
    [`campaign.status.${CAMPAIGN_STATUS_ACTIVE}`]: 'Активно',
    [`payment.status.${CAMPAIGN_PAYMENT_STATUS_NOT_PAYED}`]: 'Не\u00A0оплачено',
    [`payment.status.${CAMPAIGN_PAYMENT_STATUS_PAYED}`]: 'Оплачено',
    [`payment.status.${CAMPAIGN_PAYMENT_STATUS_POST_PAYED}`]: 'Постоплата',
    'payment.status.change': 'Изменить статус оплаты',
    'payment.status.choose': 'Выберите статус оплаты',
    'payment.update.status.success.notification': 'Статус оплаты рекламной кампании №{0} успешно обновлен',
    'campaigns.headers.settings': 'Настройка заголовков таблицы',
    'campaigns.filter': 'Фильтр по\u00A0рекламным кампаниям',
    'close.button': 'Закрыть',
    'input.text.placeholder': 'Введите текст',
    'campaignInfo.header': 'Рекламная кампания №{0}',
    'campaignInfo.statistics.link': 'Посмотреть статистику размещения',
    'campaignInfo.screenshot.upload.placeholder': 'Загрузить скриншот',
    'campaignInfo.screenshot.upload.success.notification': 'Скриншот успешно загружен',
    'campaignInfo.screenshot.delete.button': 'Удалить',
    'campaignInfo.screenshot.cancel.button': 'Отменить',
    'campaignInfo.screenshot.delete.text': 'Вы уверены, что хотите удалить скриншот?',
    'campaignInfo.screenshot.delete.success.notification': 'Скриншот успешно удален',
    'campaignInfo.screenshots.count': 'Прикреплено скриншотов: {0}',
    'campaignInfo.screenshots.title': 'Скриншоты рекламной кампании',
    'campaignInfo.screenshot.download.hint': 'Скачать скриншот',
    'campaignInfo.screenshot.remove.hint': 'Удалить скриншот',
    'campaign.moderation.approve': 'Утвердить',
    'campaign.moderation.reject': 'Отклонить',
    'campaign.reject.reason.single': 'Причина отклонения размещения №{0}',
    'campaign.reject.reason.multi': 'Причина отклонения выбранных размещений',
    'campaign.moderation.approve.multi': 'Утвердить массово',
    'campaign.moderation.reject.multi': 'Отклонить массово',
    'campaign.moderation.success.notification': 'Модерация прошла успешно',
    'campaign.moderation.vacancy.error.notification': 'В размещении №{0} не привязана вакансия',
    'campaign.moderation.vacancies.error.notification': 'В размещениях {0} не привязана вакансия',
    'return.button': 'Назад',
    'commonStatistics.header': 'Общая статистика рекламных размещений',
    'campaigns.toCommonStatistics.button': 'Посмотреть статистику',
    'filter.clear.link': 'Очистить фильтр',
    'toCommonStatistics.return.button': 'К общей статистике',
    'commonStatistics.aggregatedStatistics.button': 'Посмотреть агрегированную статистику',
    'aggregatedStatistics.header': 'Агрегированная статистика рекламных размещений',
    'aggregatedStatistics.show.button': 'Показать статистику',
    'incorrect.fields.error.notification': 'Проверьте корректность заполнения полей. Все поля должны быть заполнены',
};
